<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Plugin Firewall Test Mode</title>
<style type="text/css">
<!--
body { 
	background-color:#CCCCCC;
	line-height: normal;
}

.PFWTable {
	background-color:#fff;
	border:groove 4px #0c0c66;
	-moz-border-radius: 14px;
	-webkit-border-radius: 14px;
	border-radius: 14px;
	-moz-box-shadow: 8px 7px 18px #000000;
	-webkit-box-shadow: 8px 7px 18px #000000;
	box-shadow: 8px 7px 18px #000000;
}

.Tbackground {
background: rgb(169,228,247); /* Old browsers */
background: -moz-linear-gradient(top, rgba(169,228,247,1) 0%, rgba(15,180,231,1) 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(169,228,247,1)), color-stop(100%,rgba(15,180,231,1))); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top, rgba(169,228,247,1) 0%,rgba(15,180,231,1) 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top, rgba(169,228,247,1) 0%,rgba(15,180,231,1) 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top, rgba(169,228,247,1) 0%,rgba(15,180,231,1) 100%); /* IE10+ */
background: linear-gradient(to bottom, rgba(169,228,247,1) 0%,rgba(15,180,231,1) 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#a9e4f7', endColorstr='#0fb4e7',GradientType=0 ); /* IE6-9 */
}
-->
</style>
</head>

<body>

<?php
require_once('../../../wp-load.php');
// TM00005222013
// Stand Alone code, but will not work correctly because of the way Shared Hosting accounts are aliased
// $url = "http://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
// $bpsSpacePop = '-------------------------------------------------------------';
// echo 'http://'.parse_url($url, PHP_URL_HOST) . '/';
?>

<div style="height:650px; width:70%; position:relative; top:0px; left:0px; float:left; margin:0px 20px 0px 0px;">
<iframe name="PFWTM" src="<?php echo get_site_url().'/'; ?>" frameborder="1" scrolling="auto" height="650" width="100%" marginwidth="5" marginheight="5"></iframe>
</div>

<div style="height:100%; width:25%; position:relative; top:0px; left:0px; float:left; margin:0px 0px 0px 0px;">
<table width="100%" border="1" cellpadding="5" class="PFWTable">
  <tr>
    <td class="Tbackground"><strong>Plugin Firewall Test Mode Instructions</strong></td>
  </tr>
  <tr>
    <td>Do all Plugin Firewall testing in this Test Mode window. Click on all your main site pages, test posting a comment, test sending an email from your contact form, check your Login page and test any other plugin features on your website such as plugin Sidebar Widgets.<br /><br />After doing all of the testing steps above click the Show Results button below.</td>
  </tr>
  <tr>
    <td><strong>NOTE:</strong> You will see a 403 Error when this window opens for the first time. Refresh your Browser and it will go away.<br /><br /><strong>NOTE:</strong> If you use the Google Chrome Browser you will be able to see your WP Admin Bar.<br /><br /><strong>NOTE:</strong> If your website is not displaying correctly in the Test Mode window then go back to your other open Browser window and click the Plugin Firewall Blue Read Me help button and read the <strong>Website Is Not Displaying Correctly In Test Mode help section</strong>.</td>
  </tr>
  <tr>
    <td><strong>Plugin Firewall Test Mode Results</strong><br />
<?php 
// Blue font help text
if ( isset($_POST['bpsPFW-Submit-TestMode-Results']) ) { 
		$PFWTestModeTxt = WP_CONTENT_DIR . '/bps-backup/test-mode/PFW-TestMode.txt'; 
		$PFWTestModeFile = file_get_contents($PFWTestModeTxt);
		$pattern = '/\//';

	if ( file_exists($PFWTestModeTxt) && preg_match($pattern, $PFWTestModeFile, $matches) ) {
			$text = '<strong><font color="blue">Copy and paste the Test Mode Results below to the Plugins Script/File Whitelist Text Area, click the Save Whitelist Data button, click the Create Firewall Master File button, Turn Off Test Mode and then activate the Plugin Firewall. Your Test Mode Results are stored permanently in a text file. You can delete them with the Delete Results button.</font></strong>'; 
			echo $text; 			
	}
	
	if ( file_exists($PFWTestModeTxt) && !preg_match($pattern, $PFWTestModeFile, $matches) ) {
			$text = '<strong><font color="blue">There are no Test Mode Results to display. This could simply mean that you do not have any plugin scripts that need to Whitelisted. Please click </font><a href="http://forum.ait-pro.com/forums/topic/plugin-firewall-read-me-first-troubleshooting/" target="_blank">HERE</a> for more information.</strong>'; 
			echo $text; 		
	}
}
?>

    </td>
  </tr>
  <tr>
    <td>

<?php     
// This Form is htaccess protected by IP Address and can ONLY be viewed by the IP address that is created in the .htaccess file 
// No need to add additional Form protection
if (isset($_POST['bpsPFW-Submit-TestMode-Results']) ) {
	$PFWTestModeTxt = WP_CONTENT_DIR . '/bps-backup/test-mode/PFW-TestMode.txt'; 
	$PFWTestModeFile = file_get_contents($PFWTestModeTxt);
	
	$BPSUnique = implode(',', array_unique(explode(',', $PFWTestModeFile)));
	$BPSUnique = str_replace( array("/bulletproof-security/admin/js/bulletproof-security-admin-5.js, ","/bulletproof-security/admin/js/bulletproof-security-admin-4.js, ","/bulletproof-security/admin/js/bulletproof-security-admin-3.js, ", "/bulletproof-security/admin/js/bulletproof-security-admin-2.js, ", "/bulletproof-security/admin/js/bulletproof-security-admin.js, "), "", $BPSUnique);
	
	if ( file_exists($PFWTestModeTxt) ) {
			echo '<strong><font color="green">'.$BPSUnique.'</font></strong>';
	}
}

// Replace the PFW-TestMode.txt with a new blank file
if (isset($_POST['bpsPFW-Submit-TestMode-Delete-Results']) ) {
	$PFWTestModeTxt = WP_CONTENT_DIR . '/bps-backup/test-mode/PFW-TestMode.txt'; 
	$PFWTestModetxtMaster = WP_PLUGIN_DIR . '/bulletproof-security/admin/htaccess/PFW-TestMode.txt';	

	if ( !file_exists($PFWTestModetxtMaster) ) {	
		echo '<strong><font color="red">Error: Unable to Copy File '.$PFWTestModetxtMaster.' to '.$PFWTestModeTxt.'</font></strong>';		
	}

	if ( file_exists($PFWTestModetxtMaster) ) {
		copy($PFWTestModetxtMaster, $PFWTestModeTxt);
			echo '<strong><font color="blue">Test Modes Results Deleted Successfully</font></strong>';
	}
}

?>

</td>
  </tr>
  <tr>
    <td class="Tbackground">

<div id="PFW-TM1" style="position:relative; top:0px; left:0px; float:left; margin:0px 15px 0px 0px;">
<form name="BulletProof-PFW-Results" action="PFW-TestMode.php" method="post">
<input type="submit" name="bpsPFW-Submit-TestMode-Results" class="bps-blue-button" value="Show Results" onclick="javascript:return confirm('Click OK to Show Test Mode Results or click Cancel.')" />	
</form>
</div>

<div id="PFW-TM2" style="position:relative; top:0px; left:0px; float:right; margin:0px 0px 0px 0px;">
<form name="BulletProof-PFW-Delete-Results" action="PFW-TestMode.php" method="post">
<input type="submit" name="bpsPFW-Submit-TestMode-Delete-Results" class="bps-blue-button" value="Delete Results" onclick="javascript:return confirm('Click OK to Delete the Test Mode Results or click Cancel.')" />	
</form>
</div>

    </td>
  </tr>
</table>
</div>

</body>
</html>