<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */
 
 //page title custom
if(is_page('4'))
	$page_title = 'Kenn Neeely | Neeley Law Firm | Bankruptcy Marketing';
elseif(is_page('14'))
	$page_title = '7 Steps to a 720 Credit Score | 720 Credit Score | Credit Education for Bankruptcy Attorneys';
elseif(is_page('16'))
	$page_title = ' Philip Tirone | Philip X Tirone | 7 Steps to a 720 Credit Score | 720 Credit Score';
elseif(is_page('18'))
	$page_title = 'Contact Us | 720 System Strategies | Philip Tirone';
elseif(is_page('67'))
	$page_title = '720 System Strategy Market Exclusivity  | Bankruptcy Marketing';
elseif(is_page('69'))
	$page_title = '720 System Strategy Guarantee | Bankruptcy Marketing';	
?><!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<!-- disable iPhone inital scale -->
<meta name="viewport" content="width=device-width; initial-scale=1.0">
<title>
<?php 
if(isset($page_title))
	echo $page_title;
else
	wp_title( '|', true, 'right' );
?>
 </title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php // Loads HTML5 JavaScript file to add support for HTML5 elements in older IE versions. ?>
<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
<![endif]-->
<?php wp_head(); ?>
	<link rel="stylesheet" type="text/css" media="all" href="<?php echo get_bloginfo('wpurl'); ?>/wp-content/themes/twentytwelve_active/custom.css" />
	<link rel="stylesheet" type="text/css" media="all" href="<?php echo get_bloginfo('wpurl'); ?>/wp-content/themes/twentytwelve_active/media-queries.css" />
	<!--[if lt IE 10]>
		<link rel="stylesheet" type="text/css" href="<?php echo get_bloginfo('wpurl'); ?>/wp-content/themes/twentytwelve_active/custom_ie.css" />
<![endif]-->
	<link href='http://fonts.googleapis.com/css?family=Cabin:400,500,600,700,400italic,500italic,600italic,700italic|Cabin+Condensed:400,500,600,700|Droid+Sans:400,700' rel='stylesheet' type='text/css'>
	
	<!--<script type="text/javascript" src="<?php //bloginfo('template_directory'); ?>/js/jquery-1.4.3.min.js"></script>-->
	<script type="text/javascript" src="http://code.jquery.com/jquery-1.7.2.min.js"></script>
	<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/fancybox/jquery.mousewheel-3.0.4.pack.js"></script>
	<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/fancybox/jquery.fancybox-1.3.4.pack.js"></script>
	<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_directory'); ?>/js/fancybox/jquery.fancybox-1.3.4.css" media="screen" />
	<script type="text/javascript">
		$(document).ready(function() {
			$("#appoinment").fancybox({
				'width'				: '45%',
				'height'			: '75%',
				'autoScale'			: false,
				'transitionIn'		: 'none',
				'transitionOut'		: 'none',
				'type'				: 'iframe'
			});
		});
	</script>
	<script type="text/javascript">

	  var _gaq = _gaq || [];
	  _gaq.push(['_setAccount', 'UA-40434112-1']);
	  _gaq.push(['_trackPageview']);

	  (function() {
		var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
		ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
		var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
	  })();

	</script>
	<?php
	if(is_page('155')){
	?>
		<!-- include flowplayer 
		<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/flowplayer/flowplayer.min.js"></script>
		<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_directory'); ?>/js/flowplayer/skin/minimalist.css">-->
		<link href="http://vjs.zencdn.net/4.2.2/video-js.css" rel="stylesheet">
		<script src="http://vjs.zencdn.net/4.2.2/video.js"></script>
		<script type="text/javascript">	
			_gaq.push(['_trackEvent', 'more-bankruptcy-leads', 'Page View']);
			
			function isEmail(string) {
				if (string.search(/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/) != -1)
					return true;
				else
					return false;
			}

			function validateFormi() {
				var err = 'The following error(s) occurred:';	
				
				var frst = document.getElementById("name");
				var phone = document.getElementById("phone");
				var email = document.getElementById("email");
							
				if(frst.value == '' || frst.value == 'Name') {
					err = err + '\n- Please enter your Name .';
				}	
				
				if(phone.value == '' || phone.value == 'Phone') {
					err = err + '\n- Please enter your Phone .';
				}
				
				if(!isEmail(email.value)) {
					err = err + '\n- Primary Email must contain an e-mail address.';
				}	

				
				if(err == 'The following error(s) occurred:') {			
					_gaq.push(['_trackEvent', 'more-bankruptcy-leads', '# of Opt In']);
					document.form1.submit();
				}
				else {
					alert(err);
				}
			}
			
			var videoTimeMinutes = 03;
			var videoTimeSeconds = 00;
			 
			function showLink() {
			  document.getElementById('aligned').style.display = 'block'; // could be 'inline' or something else depending on your layout requirements
			}
			 
			// determins how long in milliseconds...
			var videoTotalTime = ((videoTimeMinutes * 60) + videoTimeSeconds) * 1000;
			var timerId = setTimeout("showLink()", videoTotalTime);
			
		</script>
	<?php
	}
	?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="hfeed site">
	<header id="masthead" class="site-header" role="banner">
		<hgroup>
			<a href="<?php echo get_bloginfo('wpurl'); ?>"><img src="<?php echo get_bloginfo('wpurl'); ?>/wp-content/themes/twentytwelve_active/images/logo.png" align="right"></a>
			<!--<span class="site_title"><strong>System</strong> Strategies</span>-->
		</hgroup>
		<div class="clear"></div>
		
		<nav id="site-navigation" class="main-navigation" role="navigation">
			<h3 class="menu-toggle"><?php _e( 'Menu', 'twentytwelve' ); ?></h3>
			<a class="assistive-text" href="#content" title="<?php esc_attr_e( 'Skip to content', 'twentytwelve' ); ?>"><?php _e( 'Skip to content', 'twentytwelve' ); ?></a>
			<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'nav-menu' ) ); ?>
		</nav><!-- #site-navigation -->

		<?php $header_image = get_header_image();
		if ( ! empty( $header_image ) ) : ?>
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url( $header_image ); ?>" class="header-image" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" alt="" /></a>
		<?php endif; ?>
		<icon>
			<?php
			if(is_page('11'))
				echo '<img src="'.get_bloginfo('wpurl').'/wp-content/themes/twentytwelve_active/images/plug.png">';
			elseif(is_page('14'))
				echo '<img src="'.get_bloginfo('wpurl').'/wp-content/themes/twentytwelve_active/images/offer.png">';
			elseif(is_page('16'))
				echo '<img src="'.get_bloginfo('wpurl').'/wp-content/themes/twentytwelve_active/images/trusted.png">';
			elseif(is_page('18'))
				echo '<img src="'.get_bloginfo('wpurl').'/wp-content/themes/twentytwelve_active/images/contact.png">';
			elseif(is_page('67'))
				echo '<img src="'.get_bloginfo('wpurl').'/wp-content/themes/twentytwelve_active/images/exclusive.png">';
			elseif(is_page('69'))
				echo '<img src="'.get_bloginfo('wpurl').'/wp-content/themes/twentytwelve_active/images/ironclad.png">';
			elseif(is_page('135') || is_page('155'))
				echo '<img src="'.get_bloginfo('wpurl').'/wp-content/themes/twentytwelve_active/images/negotiate.png">';
			elseif(is_page('blog'))
				echo '<img src="'.get_bloginfo('wpurl').'/wp-content/themes/twentytwelve_active/images/tips.png">';
			else
				echo '<img src="'.get_bloginfo('wpurl').'/wp-content/themes/twentytwelve_active/images/rocket.png">';
			?>
		</icon>
		
	</header><!-- #masthead -->

	<div id="main" class="wrapper">