<?php
/**
 * Template Name: Front Page Template
 *
 * Description: A page template that provides a key component of WordPress as a CMS
 * by meeting the need for a carefully crafted introductory page. The front page template
 * in Twenty Twelve consists of a page content area for adding text, images, video --
 * anything you'd like -- followed by front-page-only widgets in one or two columns.
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */

get_header(); ?>

	<!--<div id="primary" class="site-content" style="width:1000px;padding:0">
		<div id="content" role="main" style="width:1000px">-->
	<div id="primary" class="site-content">
		<div id="content" role="main">			
			<div class="wrapFeauture">
				<div class="wrapQuote">
					<div id="quote">
						Boost Your Revenue By Plugging Our Credit Education Process Into Your Bankruptcy Sales Process
					</div>
				</div>
				<div class="wrapQuote2">
					<div id="cimy_div_id_0">Loading images...</div>
					<div class="cimy_div_id_0_caption"></div>
					<style type="text/css">
						
					</style> 
					<noscript>
						<div id="cimy_div_id_0_nojs">
							<img id="cimy_img_id" src="<?php echo get_bloginfo('wpurl'); ?>/wp-content/Cimy_Header_Images/0/s1.png" alt="" />
						</div>
					</noscript>
				</div>
				<div class="clear"></div>
			</div>
			<div class="feature">
				<div class="column">
					<h1 class="title"><a href="<?php echo get_bloginfo('wpurl'); ?>/how-it-works">Learn How We Can Boost Revenue for Your Bankruptcy Firm</a></h1>
					<img src="<?php echo get_bloginfo('wpurl'); ?>/wp-content/themes/twentytwelve_active/images/column1_thumb_1.png">
					<p>Download our brochure and learn five strategies for increasing your revenue in 30 days<a href="<?php echo get_bloginfo('wpurl'); ?>/how-it-works">...LEARN MORE</a></p>
				</div>
				<?php /* <div class="column">
					<h1 class="title"><a href="<?php echo get_bloginfo('wpurl'); ?>/guarantee">30-Day, Unconditional, Money Back Guarantee</a></h1>
					<div class="innerLeft">
						<img src="<?php echo get_bloginfo('wpurl'); ?>/wp-content/themes/twentytwelve_active/images/column2_thumb.png">
					</div>
					<div class="innerRight">
						<p>We take all the risk off your plate. Simply try the 720 System Strategies program, and if it isn't everything we promised, you have thirty days to ask for our 100%, no-questions-asked money-back guarantee<a href="<?php echo get_bloginfo('wpurl'); ?>/guarantee">...LEARN MORE</a></p>
					</div>
					<div class="clear"></div>
				</div> */ ?>
				<div class="column" style="background:none">
					<img src="<?php echo get_bloginfo('wpurl'); ?>/wp-content/themes/twentytwelve_active/images/pin.png" align="left" style="margin:-5px 0 5px">
					<h1 class="title"><a href="<?php echo get_bloginfo('wpurl'); ?>/location">Market Exclusivity</a> </h1>
					<img src="<?php echo get_bloginfo('wpurl'); ?>/wp-content/themes/twentytwelve_active/images/column3_thumb.png">
					<p>Whether you want to lock out your direct competitors or offer a program that others don't, we can customize an exclusivity program based on your firm's needs and bankruptcy marketing plan<a href="<?php echo get_bloginfo('wpurl'); ?>/location">...LEARN MORE</a></p>
				</div>
				<div class="clear"></div>
				<img src="<?php echo get_bloginfo('wpurl'); ?>/wp-content/themes/twentytwelve_active/images/dotted_line.png" id="dotted_line">
				<div class="clear"></div>
				<div class="left">
					<center>
						In five minutes, we can show you how to triple
						your investment in just thirty days.
					</center>
				</div>
				<div class="right">
					<a href="<?php echo get_bloginfo('wpurl'); ?>/appoinment" id="appoinment"><img src="<?php echo get_bloginfo('wpurl'); ?>/wp-content/themes/twentytwelve_active/images/consultation.png"></a>
				</div>
				<div class="clear"></div>
			</div>
			<div class="feauture_tips">
				<div class="left">
					What <span>to do with bankruptcies down?</span>
				</div>
				<div class="right">
					<div class="frame_left">
						<img src="<?php echo get_bloginfo('wpurl'); ?>/wp-content/themes/twentytwelve_active/images/frame_tips_left.png">
					</div>
					<div class="frame_inner">
						<p>
						I've been hearing from bankruptcy attorneys all over the country who are struggling to bring in new business. Bankruptcies are down, and attorneys are all struggling to compete for a smaller pool of clients.
						<p>
						<p>My good friend, Kenn Neely, put it perfectly. He said that the question all bankruptcy attorneys need to be asking themselves is:<em> What value am I offering that differentiates you from the bankruptcy attorneys who are just commoditizing their services by lowering their prices.</em></p>
						<a href="<?php echo get_bloginfo('wpurl'); ?>/what-to-do-with-bankruptcies-down">...LEARN MORE</a>
					</div>
					<div class="frame_right">
						<img src="<?php echo get_bloginfo('wpurl'); ?>/wp-content/themes/twentytwelve_active/images/frame_tips_right.png">
					</div>
					<div class="clear"></div>
				</div>
			</div>
		
		</div><!-- #content -->
	</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>