<?php
/**
 * Template Name: Front Page Template
 *
 * Description: A page template that provides a key component of WordPress as a CMS
 * by meeting the need for a carefully crafted introductory page. The front page template
 * in Twenty Twelve consists of a page content area for adding text, images, video --
 * anything you'd like -- followed by front-page-only widgets in one or two columns.
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */

get_header(); ?>

	<!--<div id="primary" class="site-content" style="width:1000px;padding:0">
		<div id="content" role="main" style="width:1000px">-->
	<div id="primary" class="site-content">
		<div id="content" role="main">			
			<div class="wrapFeauture">
				<div class="wrapQuote">
					<div id="quote">
						<h1>Boost Your Bankruptcy Practice Revenue By Plugging Our Credit Education Process Into Your Bankruptcy Marketing Sales Process </h1>
					</div>
				</div>
				<div class="wrapQuote2">
					<div id="cimy_div_id_0">
          	<img src="<?php bloginfo('template_url'); ?>/inc/s1.png" />
          	<img src="<?php bloginfo('template_url'); ?>/inc/s2.png" />
          	<img src="<?php bloginfo('template_url'); ?>/inc/s3.png" />
          </div>
					<?php /* <div id="d-slider-nav">
            <a id="d-prev" href="#"></a>
            <a id="d-next" href="#"></a>
          </div> */ ?>
           <script type="text/javascript" src="<?php bloginfo('template_url') ?>/inc/slider.js"></script>
            <script type="text/javascript">
              (function($) {
                function init() {
                  $("#cimy_div_id_0").fadeTransition({
                     pauseTime: 5000,
                     transitionTime: 1000,
                     pauseOnMouseOver: true,
                     createNavButtons: false
                     });
                var scontrols = $("#d-slider").fadeTransition().fader();          
                  $("#d-prev").click(function(e) { scontrols.prev(); e.preventDefault(); });
                  $("#d-next").click(function(e) { scontrols.next(); e.preventDefault(); });
                }
                $(document).ready(init);
              })(jQuery);
            </script>
					<div class="cimy_div_id_0_caption"></div>
					<noscript>
						<div id="cimy_div_id_0_nojs">
							<img id="cimy_img_id" src="<?php echo get_bloginfo('wpurl'); ?>/wp-content/Cimy_Header_Images/0/s1.png" alt="" />
						</div>
					</noscript>
				</div>
				<div class="clear"></div>
			</div>
			<div class="feature">
				<div class="column">
					<h2 class="title"><a href="<?php echo get_bloginfo('wpurl'); ?>/how-it-works"> Improve your Law Firms Revenue and Increase your  Bankruptcy Leads by Improving Your Marketing Efforts</a></h2><br/>
					<img src="<?php echo get_bloginfo('wpurl'); ?>/wp-content/themes/twentytwelve_active/images/column1_thumb_1.png" alt="Bankruptcy Attorney Marketing">
				  <p>Download our Bankruptcy Marketing  for Attorneys brochure and learn five strategies for increasing your revenue in  30 days…<a href="http://www.720systemstrategies.com/how-it-works/">LEARN MORE ABOUT BANKRUPTCY FIRM MARKETING</a></p>
				</div>
				<?php /* <div class="column">
					<h1 class="title"><a href="<?php echo get_bloginfo('wpurl'); ?>/guarantee">30-Day, Unconditional, Money Back Guarantee</a></h1>
					<div class="innerLeft">
						<img src="<?php echo get_bloginfo('wpurl'); ?>/wp-content/themes/twentytwelve_active/images/column2_thumb.png">
					</div>
					<div class="innerRight">
						<p>We take all the risk off your plate. Simply try the 720 System Strategies program, and if it isn't everything we promised, you have thirty days to ask for our 100%, no-questions-asked money-back guarantee<a href="<?php echo get_bloginfo('wpurl'); ?>/guarantee">...LEARN MORE</a></p>
					</div>
					<div class="clear"></div>
				</div> */ ?>
				<div class="column" style="background:none">
				  <h2><img class="alignnone size-full wp-image-350 alignleft" alt="http://www.720systemstrategies.com/" src="http://www.720systemstrategies.com/wp-content/uploads/2014/07/pin.png" width="30" height="42" />Differentiate your Bankruptcy Marketing Efforts and Obtain More Bankruptcy Leads with Exclusivity</h2><br/>
					<img src="<?php echo get_bloginfo('wpurl'); ?>/wp-content/themes/twentytwelve_active/images/column3_thumb.png" alt="Bankruptcy Marketing for Attorneys and Lawyers">
				  <p>We offer exclusive rights to your geographic area to offer our credit education services to both increase your bankruptcy leads, and bankruptcy marketing efforts… <a href="http://www.720systemstrategies.com/location/"> LEARN MORE ABOUT BANKRUPTCY MARKETING FOR LAWYERS</a></p>
		      </div>
				<div class="clear"></div>
				<img src="<?php echo get_bloginfo('wpurl'); ?>/wp-content/themes/twentytwelve_active/images/dotted_line.png" id="dotted_line">
				<div class="clear"></div>
				<div class="left">
					<center>
						In five minutes, we can show you how to triple
						your investment in just thirty days.
					</center>
				</div>
				<div class="right">
					<a href="<?php echo get_bloginfo('wpurl'); ?>/appoinment" id="appoinment"><img src="<?php echo get_bloginfo('wpurl'); ?>/wp-content/themes/twentytwelve_active/images/consultation.png" alt="Bankruptcy Attorney Marketing"></a>
				</div>
				<div class="clear"></div>
			</div>
			<div class="feauture_tips">
				<div class="left">
					What <span>to do with bankruptcies down?</span>
				</div>
				<div class="right">
					<div class="frame_left">
						<img src="<?php echo get_bloginfo('wpurl'); ?>/wp-content/themes/twentytwelve_active/images/frame_tips_left.png" alt="Bankruptcy Attorney Marketing">
					</div>
					<div class="frame_inner">
						<p>
						I've been hearing from bankruptcy attorneys all over the country who are struggling to bring in new business. Bankruptcies are down, and attorneys are all struggling to compete for a smaller pool of clients.
						<p>
						<p>My good friend, Kenn Neely, put it perfectly. He said that the question all bankruptcy attorneys need to be asking themselves is:<em> What value am I offering that differentiates you from the bankruptcy attorneys who are just commoditizing their services by lowering their prices.</em></p>
						<a href="<?php echo get_bloginfo('wpurl'); ?>/what-to-do-with-bankruptcies-down">...LEARN MORE</a>
					</div>
					<div class="frame_right">
						<img src="<?php echo get_bloginfo('wpurl'); ?>/wp-content/themes/twentytwelve_active/images/frame_tips_right.png">
					</div>
					<div class="clear"></div>
				</div>
			</div>
		
		</div><!-- #content -->
	</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>